Query automatic cost allocation results by tag
1 min
GET
https://app.amberflo.io/business-unit/focus-allocation/automatic/query
Query Parameters
- tagNamestringDescription
- columnsstring[]requiredDescription
Responses
200
- business_unit.details.AutoAllocatedFocusValuesResponse.outDescription
- tagNamestringDescription
- columnsstring[]Description
- assignedValuesbusiness_unit.details.AutoAllocatedFocusValuesResponse.AssignedValueMetadata.out[]Description
- valuestring[]Description
- rowCountinteger<int64>Description
- totalBilledCostnumberDescription
- tagValuestringDescription
- unassignedValuesfocus.query.ColumnValueMetadata.out[]Description
- valuestring[]Description
- rowCountinteger<int64>Description
- totalBilledCostnumberDescription
curl
curl --request GET \
--url 'https://app.amberflo.io/business-unit/focus-allocation/automatic/query?columns=array' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/business-unit/focus-allocation/automatic/query?columns=array", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/business-unit/focus-allocation/automatic/query?columns=array")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/business-unit/focus-allocation/automatic/query?columns=array"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"tagName": "",
"columns": [
""
],
"assignedValues": [
{
"value": [
""
],
"rowCount": "",
"totalBilledCost": 0,
"tagValue": ""
}
],
"unassignedValues": [
{
"value": [
""
],
"rowCount": "",
"totalBilledCost": 0
}
]
}